Subject: Re: bug#7827: Please do not give an error in help when it fails

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 01 Oct 2019 22:53:09 +0200

Lennart Borgman <[email-masked]> writes:

> I just got this error when clicking the [back] button in help:
>
>  Debugger entered--Lisp error: (error "Selecting deleted buffer")
>   describe-mode(#<killed buffer>)
>   apply(describe-mode #<killed buffer>)
>   help-xref-go-back(#<buffer *Help*>)
>   apply(help-xref-go-back #<buffer *Help*>)
>   help-do-xref(214 help-xref-go-back (#<buffer *Help*>))
>   help-button-action(#<marker (moves after insertion) at 1 in *Help*>)
>   push-button(214)
>   call-interactively(push-button nil nil)
>
> That is very unpractical since it prevents from going further back in
> the help stack. (Currently I am trying to find my test case which was
> some help text 611 chars long, but I do not remember what it was.)
>
> Just put the backtrace in the help buffer instead with a short explanation.

I don't see why an error in the help buffer should be treated
differently than anywhere else: If you have debug-on-error bound, then
you should get a proper backtrace. 

So I'm closing this bug report.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no